/*
 * Copyright (C) 2018, Boundary Devices <info@boundarydevices.com>
 *
 * SPDX-License-Identifier:	GPL-2.0+
 */
#define GP_PHY_RX_CTL	IMX_GPIO_NR(1, 24)
#define GP_PHY_RXC	IMX_GPIO_NR(1, 25)
#define GP_PHY_RD0	IMX_GPIO_NR(1, 26)
#define GP_PHY_RD1	IMX_GPIO_NR(1, 27)
#define GP_PHY_RD2	IMX_GPIO_NR(1, 28)
#define GP_PHY_RD3	IMX_GPIO_NR(1, 29)

#ifndef STRAP_AR8035
#define STRAP_AR8035	(0x28 | (CONFIG_FEC_MXC_PHYADDR & 3))
#endif

#define PULL_GP(a, bit)                (((a >> bit) & 1) ? WEAK_PULLUP_OUTPUT : WEAK_PULLDN_OUTPUT)

#ifdef CONFIG_PHY_ATHEROS
static const iomux_v3_cfg_t enet_ar8035_gpio_pads[] = {
#define GP_RGMII_PHY_RESET	IMX_GPIO_NR(3, 15)
#ifdef CONFIG_FEC_RESET_PULLUP
	IMX8MM_PAD_NAND_RE_B_GPIO3_IO15 | MUX_PAD_CTRL(WEAK_PULLUP_OUTPUT),
#else
	IMX8MM_PAD_NAND_RE_B_GPIO3_IO15 | MUX_PAD_CTRL(WEAK_PULLDN_OUTPUT),
#endif
	IMX8MM_PAD_ENET_RD0_GPIO1_IO26 | MUX_PAD_CTRL(PULL_GP(STRAP_AR8035, 0)),
	IMX8MM_PAD_ENET_RD1_GPIO1_IO27 | MUX_PAD_CTRL(PULL_GP(STRAP_AR8035, 1)),
	IMX8MM_PAD_ENET_RD2_GPIO1_IO28 | MUX_PAD_CTRL(PULL_GP(STRAP_AR8035, 2)),
	IMX8MM_PAD_ENET_RD3_GPIO1_IO29 | MUX_PAD_CTRL(PULL_GP(STRAP_AR8035, 3)),
	IMX8MM_PAD_ENET_RX_CTL_GPIO1_IO24 | MUX_PAD_CTRL(PULL_GP(STRAP_AR8035, 4)),
	IMX8MM_PAD_ENET_RXC_GPIO1_IO25 | MUX_PAD_CTRL(PULL_GP(STRAP_AR8035, 5)),
};

static const iomux_v3_cfg_t enet_ar8035_pads[] = {
	IMX8MM_PAD_ENET_RD0_ENET1_RGMII_RD0 | MUX_PAD_CTRL(PAD_CTRL_ENET_RX),
	IMX8MM_PAD_ENET_RD1_ENET1_RGMII_RD1 | MUX_PAD_CTRL(PAD_CTRL_ENET_RX),
	IMX8MM_PAD_ENET_RD2_ENET1_RGMII_RD2 | MUX_PAD_CTRL(PAD_CTRL_ENET_RX),
	IMX8MM_PAD_ENET_RD3_ENET1_RGMII_RD3 | MUX_PAD_CTRL(PAD_CTRL_ENET_RX),
	IMX8MM_PAD_ENET_RX_CTL_ENET1_RGMII_RX_CTL | MUX_PAD_CTRL(PAD_CTRL_ENET_RX),
	IMX8MM_PAD_ENET_RXC_ENET1_RGMII_RXC | MUX_PAD_CTRL(PAD_CTRL_ENET_RX),
};
#endif
